image: "python:3.7"

before_script:
  - python --version
  - pip install -r requirements.txt

stages:
  - static
  - test

flake8:
  stage: static
  script:
    - flake8 --max-line-length=120 Rectangle/*.py
    - flake8 --max-line-length=120 tests/test_*.py

tests:
  stage: test
  script:
    - tox

  coverage: '/TOTAL.+ ([0-9]{1,3}%)/'
